import { NgModule, ErrorHandler } from '@angular/core';
import { AppErrorHandler } from './error.handler';
import { BrowserModule } from '@angular/platform-browser';

import { AppRoutingModule } from './app-routing.module';
import { BryntumSchedulerProModule } from '@bryntum/schedulerpro-angular';

import { AppComponent } from './app.component';
import { HomeComponent } from './home/home.component';
import { SchedulerComponent } from './scheduler/scheduler.component';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { MatSidenavModule } from '@angular/material/sidenav';

@NgModule({
    declarations : [AppComponent, HomeComponent, SchedulerComponent],
    imports      : [BrowserModule, AppRoutingModule, BryntumSchedulerProModule, BrowserAnimationsModule, MatSidenavModule],
    providers    : [{ provide : ErrorHandler, useClass : AppErrorHandler }],
    bootstrap    : [AppComponent]
})
export class AppModule {}
